package com.jhelplite;


/**
 * The user object to use in the tree. Contains the name to display and the document location.
 *
 * @version 1.0
 * @author Gerald Arnold<BR>
 * Create Date: 01/Feb/2008<BR>
 * Copyright: 2008<BR>
 * Company: <COMPANY NAME><BR>
 */
public class JHelpLiteUserObject
{
  private static final long serialVersionUID = 8665721598572340634L;

  private String nodeName;
  private String nodeDocumentLocation;


  /**
   * Default Constructor
   */
  protected JHelpLiteUserObject()
  {
    nodeName = new String();
    nodeDocumentLocation = new String();
  }


  /**
   * Default Constructor
   * 
   * @param nodeName The name that this node will use.
   * @param nodeDocumentLocation  The location of the document that will be used for this node.
   */
  protected JHelpLiteUserObject(String nodeName, String nodeDocumentLocation)
  {
    this.nodeName = nodeName;
    this.nodeDocumentLocation = nodeDocumentLocation;
  }




  /**
   * Get the name that this node will use.
   * 
   * @return nodeName - The name that this node will use.
   */
  protected String getNodeName()
  {
    return nodeName;
  }


  /**
   * Set the name that this node will use.
   * 
   * @param nodeName The name that this node will use.
   */
  protected void setNodeName(String nodeName)
  {
    this.nodeName = nodeName;
    return;
  }


  /**
   * Get the location of the document that will be used for this node.
   * 
   * @return nodeDocumentLocation - The location of the document that will be used for this node.
   */
  protected String getNodeDocumentLocation()
  {
    return nodeDocumentLocation;
  }


  /**
   * Set the location of the document that will be used for this node.
   * 
   * @param nodeDocumentLocation  The location of the document that will be used for this node.
   */
  protected void setNodeDocumentLocation(String nodeDocumentLocation)
  {
    this.nodeDocumentLocation = nodeDocumentLocation;
    return;
  }




  /**
   * Over-riding the toString method to display the Node name in the tree.
   */
  public String toString()
  {
    return getNodeName();
  }
}